summaryrefslogtreecommitdiffstats
path: root/network/gq/gq.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/gq/gq.SlackBuild')
-rw-r--r--network/gq/gq.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/network/gq/gq.SlackBuild b/network/gq/gq.SlackBuild
index f30203de1b..6cec583b27 100644
--- a/network/gq/gq.SlackBuild
+++ b/network/gq/gq.SlackBuild
@@ -22,7 +22,7 @@
PRGNAM=gq
VERSION=${VERSION:-1.2.3}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -52,7 +52,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -67,6 +67,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Starting with glib 2.32 it is now mandatory to
+# include glib.h instead of individual headers.
+patch -p1 -i $CWD/glib-single-include.patch
+# Fix for gcc 4.7
+patch -p1 -i $CWD/gcc-4.7.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \